#ifndef CONVERT_H
#define CONVERT_H

#include <QThread>

#include "ui_roswell.h"

#define BLUE	QColor(Qt::blue)
#define RED		QColor(Qt::red)
#define BLACK	QColor(Qt::black)
#define GREEN	QColor(Qt::darkGreen)

class RootThread : public QThread
{
	Q_OBJECT

	public:
// 		RootThread();
// 		~RootThread();

	protected:
// 		void run();
};


class Convert : public QDialog, public Ui::Convert
{
	Q_OBJECT

	public:
		Convert();
		~Convert();

	private:
		QStringList files;

		void execute(QString file, QString& out, QString& err);
		void allEnabled(bool);
		void displayMessage(QColor, QString);

	private slots:
		void on_selectPackages_clicked();
		void on_where_clicked();
		void on_start_clicked();
		void testStartEnable();
		void on_whereDir_textChanged() { testStartEnable() ; };
		void on_RPMformat_stateChanged() { testStartEnable() ; };
		void on_DEBformat_stateChanged() { testStartEnable() ; };
		void on_SLPformat_stateChanged() { testStartEnable() ; };
		void on_TARGZformat_stateChanged() { testStartEnable() ; };
		void on_help_toggled();
		void on_traces_toggled();
};



#endif

